Get list of users connected to access points

GET /internal/admin/comms/v1/location/users/connected

Operation id: get__internal_admin_comms_v1_location_users_connected

Tags: User Location

Parameters

Query parameters

NameTypeRequiredDescription
pageintegerNopage number for returned records
page_sizeintegerNonumber of records to return per page.
site_idstringNosite id of required records
tenant_idstringYestenant id of required records

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — A list of users and their connected access points

Content type: application/json

400 — Bad request

Content type: application/json

500 — Internal server error

Content type: application/json

Response models

200 — A list of users and their connected access points

Content type: application/json

Schema

PropertyTypeRequiredDescription
usersarrayNo
{
  "type": "object",
  "properties": {
    "users": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "user_login": {
            "type": "string"
          },
          "bssid": {
            "type": "string"
          },
          "customer_id": {
            "type": "integer"
          },
          "site_id": {
            "type": "string"
          },
          "ap_location_friendly_name": {
            "type": "string"
          },
          "created_at": {
            "type": "string",
            "format": "date-time"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time"
          }
        }
      }
    }
  }
}

400 — Bad request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "message": {
      "type": "string"
    }
  }
}

500 — Internal server error

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "message": {
      "type": "string"
    }
  }
}